%define snapshot 2011.12.21

Name:           autoconf-archive
Version:        %{snapshot}
Release:        1
Summary:        Autoconf Macro Archive
License:        GPL
Group:          Development/Other
URL:            http://www.gnu.org/software/autoconf-archive/
Source0:        ftp://ftp.gnu.org/pub/gnu/autoconf-archive/%{name}-%{snapshot}.tar.bz2
Source1:        ftp://ftp.gnu.org/pub/gnu/autoconf-archive/%{name}-%{snapshot}.tar.bz2.sig
Requires:       automake
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Autoconf Macro Archive aims to provide a collection of reusable Autoconf
macros as free software. The archive currently features more than 500 macros
which perform portability tests ranging from compiler support for weird
language extensions to automatic generation of sophisticated Automake rules.
All these macros have been contributed by friendly supporters of the cause
from all over the Internet; this archive is merely a distribution of other
people's efforts.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir}
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" -eq "0" ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(0644,root,system,-)
%doc AUTHORS COPYING INSTALL README
%{_datadir}/aclocal/*
%{_infodir}/*


%changelog
* Wed Dec 21 2011 Michael Perzl <michael@perzl.org> - 2011.12.21-1
- updated to version 2011.12.21

* Sun Sep 18 2011 Michael Perzl <michael@perzl.org> - 2011.09.17-1
- updated to version 2011.09.17

* Sun Jul 17 2011 Michael Perzl <michael@perzl.org> - 2011.07.17-1
- updated to version 2011.07.17

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 2011.04.12-1
- updated to version 2011.04.12

* Fri Mar 18 2011 Michael Perzl <michael@perzl.org> - 2011.03.17-1
- updated to version 2011.03.17

* Sun Jan 02 2011 Michael Perzl <michael@perzl.org> - 2011.01.02-1
- updated to version 2011.01.02

* Wed Oct 27 2010 Michael Perzl <michael@perzl.org> - 2010.10.26-1
- updated to version 2010.10.26

* Fri Aug 20 2010 Michael Perzl <michael@perzl.org> - 2010.08.19-1
- updated to version 2010.08.19

* Tue Jul 06 2010 Michael Perzl <michael@perzl.org> - 2010.07.06-1
- updated to version 2010.07.06

* Fri Jun 04 2010 Michael Perzl <michael@perzl.org> - 2010.06.04-1
- first version for AIX V5.1 and higher
